# Define installer name.

Name "Dooble Web Browser Installer"
!define APPNAME "Dooble Web Browser"
outFile "Dooble-Installer.exe"

# Install directory.

InstallDir "C:\Dooble"

DirText "Please choose an installation directory for the Dooble Web Browser."

# Default section start.

section

# Define output path.

setOutPath $INSTDIR

# Specify files to go in output path.

file /r ..\release\Images
file /r ..\release\Icons
file /r ..\release\Resources
file /r ..\release\plugins
# file /r ..\release\Tab
file /r ../\release\Translations
file ..\Resources\qt.conf
file ..\release\*.dll
file ..\release\Dooble.exe

# Specify files to go into the doobleinstaller for our preferred plugin.

file ..\release\gpg.exe
file ..\release\bdboot.txt
file ..\release\gpgme-w32spawn.exe
# The following files are already packed from above: 
# file ..\release\plugins\libinterface.dll
# file ..\release\libgpgme-11.dll
# file ..\release\libgpg-error-0.dll
# file ..\release\miniupnpc.dll
# file ..\release\libgcc_s_dw2-1.dll
# file ..\release\pthreadGC2d.dll
# file ..\release\mingwm10.dll
# file ..\release\Translations\interface_de.qm

# Define menu link.

CreateDirectory "$SMPROGRAMS\${APPNAME}"
CreateShortCut  "$SMPROGRAMS\${APPNAME}\Start ${APPNAME}.lnk" "$INSTDIR\Dooble.exe" "" "$INSTDIR\Dooble.exe" 0
CreateShortCut  "$SMPROGRAMS\${APPNAME}\Uninstall ${APPNAME}.lnk" "$INSTDIR\Dooble-Uninstaller.exe" "" "$INSTDIR\Dooble-Uninstaller.exe" 0
CreateShortCut  "$DESKTOP\${APPNAME}.lnk" "$INSTDIR\dooble.exe" "" "$INSTDIR\dooble.exe" 0
CreateShortCut  "$QUICKLAUNCH\${APPNAME}.lnk" "$INSTDIR\dooble.exe" "" "$INSTDIR\dooble.exe" 0
CreateShortCut  "$QUICKLAUNCH\User Pinned\TaskBar\${APPNAME}.lnk" "$INSTDIR\dooble.exe" "" "$INSTDIR\dooble.exe" 0
CreateShortCut  "$QUICKLAUNCH\User Pinned\StartMenu\${APPNAME}.lnk" "$INSTDIR\dooble.exe" "" "$INSTDIR\dooble.exe" 0

####################################################
# Write the file association:

# WriteRegStr HKEY_LOCAL_MACHINE "Software\Clients\StartMenuInternet\dooble.exe\Capabilities\FileAssociations"	"" ".htm"
# WriteRegStr HKEY_LOCAL_MACHINE "Software\Clients\StartMenuInternet\dooble.exe\Capabilities\URLAssociations"	"" ".htm"
# WriteRegStr HKEY_LOCAL_MACHINE "Software\Clients\StartMenuInternet\dooble.exe\Capabilities\FileAssociations"	"" ".html"
# WriteRegStr HKEY_LOCAL_MACHINE "Software\Clients\StartMenuInternet\dooble.exe\Capabilities\URLAssociations"	"" ".html"

# WriteRegStr HKEY_LOCAL_MACHINE "Software\Clients\StartMenuInternet\dooble.exe"	"" "$INSTDIR\dooble.exe -a"

# WriteRegStr HKEY_CLASSES_ROOT "http\shell\open\command"	"" "$INSTDIR\dooble.exe -h"
# WriteRegStr HKEY_CLASSES_ROOT "http\shell\open\ddeexec\Application"	"" "$INSTDIR\dooble.exe -h"
# WriteRegStr HKEY_CLASSES_ROOT "http\DefaultIcon"	"" "$INSTDIR\dooble.exe,0"

# WriteRegStr HKEY_CLASSES_ROOT "https\shell\open\command"	"" "$INSTDIR\dooble.exe -h" 
# WriteRegStr HKEY_CLASSES_ROOT "https\shell\open\ddeexec\Application"	"" "$INSTDIR\dooble.exe -h" 
# WriteRegStr HKEY_CLASSES_ROOT "https\DefaultIcon"	"" "$INSTDIR\dooble.exe,0"

# associate html file to dooble
# WriteRegStr HKEY_CLASSES_ROOT "htmlfile\shell\open\command"	"" "$INSTDIR\dooble.exe -h" 
# WriteRegStr HKEY_CLASSES_ROOT "htmlfile\shell\open\ddeexec\Application"	"" "$INSTDIR\dooble.exe -h" 
# WriteRegStr HKEY_CLASSES_ROOT "htmlfile\DefaultIcon"	"" "$INSTDIR\dooble.exe" 

# WriteRegStr HKEY_CLASSES_ROOT "htmlfile\shell\opennew\command"	"" "$INSTDIR\dooble.exe -h" 
# WriteRegStr HKEY_CLASSES_ROOT "htmlfile\shell\opennew\ddeexec\Application"	"" "$INSTDIR\dooble.exe -h" 
###################################################

# Define uninstaller name.

writeUninstaller $INSTDIR\Dooble-Uninstaller.exe

# Default section end.

sectionEnd

# Create a section to define what the uninstaller does.
# The section will always be named "Uninstall".

section "Uninstall"

Delete "$SMPROGRAMS\${APPNAME}\Start ${APPNAME}.lnk"
RMDir  "$SMPROGRAMS\${APPNAME}\Start ${APPNAME}.lnk"
Delete "$SMPROGRAMS\${APPNAME}\Uninstall ${APPNAME}.lnk"
RMDir  "$SMPROGRAMS\${APPNAME}\Uninstall ${APPNAME}.lnk"
Delete  "$SMPROGRAMS\${APPNAME}"
RMDir   "$SMPROGRAMS\${APPNAME}"
Delete  "$DESKTOP\${APPNAME}.lnk"
Delete  "$QUICKLAUNCH\${APPNAME}.lnk"
Delete  "$QUICKLAUNCH\User Pinned\TaskBar\${APPNAME}.lnk"
Delete  "$QUICKLAUNCH\User Pinned\StartMenu\${APPNAME}.lnk"
RMDir /r $INSTDIR

sectionEnd
